function init()
	gun.name = "Spinnerbeam"
	gun.fireDelay = 0
	gun.shotrange = 300
	gun.shotdamage = 40
	gun.shotknockback = 20000
	--gun.initBeam()
	
	return 0
end


function update()

	return 0
end


function fire()
	gun.cycleBeam()--get or make the next available beam
	stage.makeBeam(gun.beam, gun.owner, gun.firex, gun.firey, gun.firetarx, gun.firetary)

	--and fire a reverse one as well
	deg = math.rad(gun.owner.rot + 180)
	rx = gun.owner.x + math.cos(deg) * 800
	ry = gun.owner.y + math.sin(deg) * 800
	gun.cycleBeam()--get or make the next available beam
	stage.makeBeam(gun.beam, gun.owner, gun.firex, gun.firey, rx, ry)
	
	--gun.GFP("made beam!")
	--playSFX(getSound("gun_pew1.wav"),owner.x,owner.y)

	return 0
end

function shot_update()

	return 0
end